/*******************************************************************************
 * dds.h
 *
 *  Created on: 28.02.2019
 *       
 *
 *******************************************************************************
 *
 * 			Микросхема 1508ПЛ8T (Синтетик-1)
 *
 *
 *******************************************************************************/

// Адресное пространство DDS
#define SWRST       (0x0)
#define DEVID       (0x1)
#define SEL_REG     (0x2)
#define CTR         (0x3)
#define SYNC        (0x4)
#define CLR         (0x5)
#define LINC        (0x6)   //по умолчанию 0x0000
#define ROUTE       (0x7)   //по умолчанию 0x0000
#define TC_L        (0x8)
#define TC_H        (0x9)

#define CH1_TSW     (0x1002) //по умолчанию 0x0000

// Регистры параметров 0-го профиля
#define CH1_dPh0_L  (0x1400)
#define CH1_dPh0_M  (0x1401)
#define CH1_dPh0_H  (0x1402)
#define CH1_P0      (0x1404)
#define CH1_Mul0    (0x1405)
#define CH1_Offset0 (0x1406)

// Регистры параметров 1-го профиля
#define CH1_dPh1_L  (0x1410)
#define CH1_dPh1_M  (0x1411)
#define CH1_dPh1_H  (0x1412)
#define CH1_P1      (0x1414)
#define CH1_Mul1    (0x1415)
#define CH1_Offset1 (0x1416)

// Регистры параметров для записи всех профилей
#define CH1_dPh_all_L  (0x1300)
#define CH1_dPh_all_M  (0x1301)
#define CH1_dPh_all_H  (0x1302)
#define CH1_P_all      (0x1304)
#define CH1_Mul_all    (0x1305)
#define CH1_Offset_all (0x1306)

#define CH1_LS_dFq1_L (0x1040)
#define CH1_LS_dFq1_M (0x1041)
#define CH1_LS_dFq1_H (0x1042)

#define CH1_LS_dFq2_L (0x1044)
#define CH1_LS_dFq2_M (0x1045)
#define CH1_LS_dFq2_H (0x1046)

// Регистры длительности каждой фазы ЛЧМ
#define CH1_LS_TPH1_L (0x1010)
#define CH1_LS_TPH1_M (0x1011)
#define CH1_LS_TPH1_H (0x1012)

#define CH1_LS_TPH2_L (0x1014)
#define CH1_LS_TPH2_M (0x1015)
#define CH1_LS_TPH2_H (0x1016)

#define CH1_LS_TPH3_L (0x1018)
#define CH1_LS_TPH3_M (0x1019)
#define CH1_LS_TPH3_H (0x101A)

#define CH1_LS_TPH4_L (0x101C)
#define CH1_LS_TPH4_M (0x101D)
#define CH1_LS_TPH4_H (0x101E)

// Управление синтезом ЛЧМ
#define CH1_LS_CTR (0x1000)

// Регистры начальной частоты стадии 1
#define CH1_LS_F1_L (0x1020)
#define CH1_LS_F1_M (0x1021)
#define CH1_LS_F1_H (0x1022)

// Регистры начальной частоты стадии 3
#define CH1_LS_F2_L (0x1024)
#define CH1_LS_F2_M (0x1025)
#define CH1_LS_F2_H (0x1026)


// Команды
#define	COMMAND_NOP		(0b00000000 << 16)
#define	COMMAND_SETA	(0b00010000 << 16)
#define	COMMAND_WR		(0b00100000 << 16)
#define	COMMAND_WRI		(0b00110000 << 16)
#define	COMMAND_SETAFT	(0b10110000 << 16)

// Дефайны загрузки профилей
#define  CHx_LS_CTR(a) (0x1000+0x0+ (a*0x1000))
#define  CHx_LS_CRFMIN(a) (0x1000+0x1+(a*0x1000))
//SYNT1_write(CHx_LS_CTR(1),0xffff); //
